org.apache.tapestry5.internal.services

## Class BeanBlockOverrideSourceImpl

- java.lang.Object
- - org.apache.tapestry5.internal.services.BeanBlockOverrideSourceImpl

- All Implemented Interfaces:
    BeanBlockOverrideSource

      public class BeanBlockOverrideSourceImpl
      extends Object
      implements BeanBlockOverrideSource

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeanBlockOverrideSourceImpl(RequestPageCache pageCache, Collection<BeanBlockContribution> configuration)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Block` | `getDisplayBlock(String datatype)` Returns a block which can be used to render output for the given data type.
    `Block` | `getEditBlock(String datatype)` Returns a block which can be used to render an editor for the given data type, in the form of a field label and input field.
    `boolean` | `hasDisplayBlock(String datatype)` Checks to see if there is a display block for the indicated data type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BeanBlockOverrideSourceImpl

          public BeanBlockOverrideSourceImpl(RequestPageCache pageCache,
                                             Collection<BeanBlockContribution> configuration)

  - ### Method Detail

    - #### hasDisplayBlock

          public boolean hasDisplayBlock(String datatype)

      Description copied from interface: `BeanBlockOverrideSource`
      Checks to see if there is a display block for the indicated data type.
      Specified by:
        `hasDisplayBlock` in interface `BeanBlockOverrideSource`
      Parameters:
        `datatype` - to check for
      Returns:
        true if an override display block is available

    - #### getDisplayBlock

          public Block getDisplayBlock(String datatype)

      Description copied from interface: `BeanBlockOverrideSource`
      Returns a block which can be used to render output for the given data type.
      Specified by:
        `getDisplayBlock` in interface `BeanBlockOverrideSource`
      Parameters:
        `datatype` - logical name for the type of data to be displayed
      Returns:
        the Block

    - #### getEditBlock

          public Block getEditBlock(String datatype)

      Description copied from interface: `BeanBlockOverrideSource`
      Returns a block which can be used to render an editor for the given data type, in the form of a field label and input field.
      Specified by:
        `getEditBlock` in interface `BeanBlockOverrideSource`
      Parameters:
        `datatype` - logical name for the type of data to be displayed
      Returns:
        the Block

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.